BEGIN TRANSACTION;
CREATE TABLE buckets (
  slug TEXT NOT NULL PRIMARY KEY,
  name TEXT NOT NULL
);
INSERT INTO "buckets" VALUES('lpw2009', 'London Perl Workshop 2009');
INSERT INTO "buckets" VALUES('opw2010', 'Perl Oasis 2010');
INSERT INTO "buckets" VALUES('nwe.pm', 'North West England Perl Mongers');
INSERT INTO "buckets" VALUES('yn2010', 'YAPC::NA 2010');
INSERT INTO "buckets" VALUES('ye2010', 'YAPC::EU 2010');
CREATE TABLE announcements (
  id INTEGER NOT NULL PRIMARY KEY,
  made_at DATETIME NOT NULL,
  bucket_slug TEXT REFERENCES buckets(slug)
);
INSERT INTO "announcements" VALUES(1, '2010-02-28 18:26:14', 'lpw2009');
INSERT INTO "announcements" VALUES(2, '2010-02-28 18:39:52', 'opw2010');
INSERT INTO "announcements" VALUES(3, '2010-02-28 18:42:55', 'nwe.pm');
INSERT INTO "announcements" VALUES(4, '2010-03-01 19:02:52', 'opw2010');
INSERT INTO "announcements" VALUES(5, '2010-04-09 03:16:38', 'lpw2009');
INSERT INTO "announcements" VALUES(6, '2010-04-09 03:17:19', 'lpw2009');
INSERT INTO "announcements" VALUES(7, '2010-04-13 13:32:13', 'lpw2009');
INSERT INTO "announcements" VALUES(8, '2010-04-13 13:34:17', 'lpw2009');
INSERT INTO "announcements" VALUES(9, '2010-04-13 13:34:44', 'lpw2009');
INSERT INTO "announcements" VALUES(10, '2010-07-26 20:01:29', 'yn2010');
INSERT INTO "announcements" VALUES(11, '2010-08-14 09:54:30', 'ye2010');
INSERT INTO "announcements" VALUES(12, '2010-08-14 10:52:12', 'ye2010');
INSERT INTO "announcements" VALUES(13, '2010-08-16 09:47:12', 'ye2010');
INSERT INTO "announcements" VALUES(14, '2010-08-18 05:26:28', 'ye2010');
INSERT INTO "announcements" VALUES(15, '2010-08-23 12:04:15', 'ye2010');
INSERT INTO "announcements" VALUES(16, '2010-08-23 12:04:47', 'ye2010');
INSERT INTO "announcements" VALUES(17, '2010-08-28 11:56:40', 'ye2010');
CREATE TABLE videos (
  slug TEXT NOT NULL,
  bucket_slug TEXT NOT NULL REFERENCES buckets(slug),
  name TEXT NOT NULL,
  author TEXT NOT NULL,
  details TEXT NOT NULL DEFAULT '',
  announcement_id INTEGER NOT NULL,
  PRIMARY KEY (slug, bucket_slug),
  FOREIGN KEY (announcement_id, bucket_slug)
    REFERENCES announcements(id, bucket_slug)
);
INSERT INTO "videos" VALUES('droids-amazon', 'lpw2009', 'Droids in the Amazon', 'Andrew Solomon', '', 1);
INSERT INTO "videos" VALUES('perl5-perl6-rakudo', 'lpw2009', 'Perl 5 is Alive, Perl 6 is Dead - Long Live Rakudo', 'Edmund', '', 1);
INSERT INTO "videos" VALUES('send-a-newbie', 'lpw2009', 'Send A Newbie', 'Rosallyne', '', 1);
INSERT INTO "videos" VALUES('simple-namespace', 'lpw2009', 'Putting Simple in Namespace is Bad', 'Tom Doran', '', 1);
INSERT INTO "videos" VALUES('the-data-is-crap', 'lpw2009', 'The Data is Crap', 'Michel Rodriguez', '', 1);
INSERT INTO "videos" VALUES('dreamcasting', 'lpw2009', 'Dreamcasting', 'Matt S Trout', '', 1);
INSERT INTO "videos" VALUES('tt3', 'lpw2009', 'Template Toolkit 3', 'Andy Wardley', '', 1);
INSERT INTO "videos" VALUES('skills-forum', 'lpw2009', 'Skills in the Workplace Forum', '(various)', '', 1);
INSERT INTO "videos" VALUES('repeat-yourself', 'lpw2009', 'Do Repeat Yourself Sometimes', 'Tom Hukins', '', 1);
INSERT INTO "videos" VALUES('defensive-perl', 'lpw2009', 'Defensive Perl Programming', 'Mike Whitaker', '', 1);
INSERT INTO "videos" VALUES('perl-5-10', 'lpw2009', 'Perl 5 10', 'Leon Brocard', '', 1);
INSERT INTO "videos" VALUES('epo', 'lpw2009', 'Enlightened Perl Organisation', 'Mike Whitaker', '', 1);
INSERT INTO "videos" VALUES('closing-notes', 'lpw2009', 'Closing Notes', 'Mark Keating', '', 1);
INSERT INTO "videos" VALUES('carry-on-learning', 'lpw2009', 'Carry on Learning', 'John Davies', '', 1);
INSERT INTO "videos" VALUES('beginnings-in-perl', 'lpw2009', 'Beginnings in Perl', 'Piers Cawley', '', 1);
INSERT INTO "videos" VALUES('my-first-module', 'lpw2009', 'My First CPAN Module', 'David Dorward', '', 1);
INSERT INTO "videos" VALUES('m-word', 'lpw2009', 'Keynote: The M Word', 'Dave Cross', '', 1);
INSERT INTO "videos" VALUES('object-franger', 'opw2010', 'Object Franger', 'Steven Lembark', '', 2);
INSERT INTO "videos" VALUES('jquery', 'opw2010', 'Writing J Query Plugins', 'Casey West', '', 2);
INSERT INTO "videos" VALUES('worker-pattern', 'opw2010', 'Modern Perl for the Worker Pattern', 'N Perez', '', 2);
INSERT INTO "videos" VALUES('cruel-world', 'opw2010', 'surviving in a cruel world', 'shawn moore', '', 2);
INSERT INTO "videos" VALUES('wiki-toolkit', 'opw2010', 'wikis with wiki toolkit', 'stefan hornburg', '', 2);
INSERT INTO "videos" VALUES('laziness', 'opw2010', 'Laziness is a virtue', 'Steven Lembark', '', 2);
INSERT INTO "videos" VALUES('untitled-no-12', 'opw2010', 'Untitled No 12', 'Stevan', '', 2);
INSERT INTO "videos" VALUES('gsoc', 'opw2010', 'GSOC', 'Devin Austin', '', 2);
INSERT INTO "videos" VALUES('converting-mailboxes', 'nwe.pm', 'Converting 16k mailboxes', 'Paul Tipper and Ian Norton', '', 3);
INSERT INTO "videos" VALUES('functional-pearls', 'nwe.pm', 'functional pearls', 'osfameron', '', 3);
INSERT INTO "videos" VALUES('streaming-yaml', 'nwe.pm', 'streaming yaml', 'osfameron', '', 3);
INSERT INTO "videos" VALUES('physical-access', 'nwe.pm', 'large scale physical access systems', 'ian norton', '', 3);
INSERT INTO "videos" VALUES('fire-procedures', 'nwe.pm', 'fire procedures', 'mark keating', '', 3);
INSERT INTO "videos" VALUES('custom-dispatch-type', 'nwe.pm', 'creating a custom dispatch type', 'carl johnstone', '', 3);
INSERT INTO "videos" VALUES('catalyst-webcast', 'nwe.pm', 'discussion with the catalyst authors', 'webcast', '', 3);
INSERT INTO "videos" VALUES('thanks2', 'nwe.pm', 'thanks2', 'mark keating', '', 3);
INSERT INTO "videos" VALUES('cat-in-a-box', 'nwe.pm', 'cat in a box', 'jonno', '', 3);
INSERT INTO "videos" VALUES('cpan-stats', 'nwe.pm', 'the abridged statistics of cpan', 'barbie', '', 3);
INSERT INTO "videos" VALUES('mifare', 'nwe.pm', 'mifare what is it why it it cool', 'ian norton', '', 3);
INSERT INTO "videos" VALUES('what-is-epo', 'nwe.pm', 'what is the enlightened perl organisation', 'mark keating', '', 3);
INSERT INTO "videos" VALUES('thanks', 'nwe.pm', 'thanks', 'mark keating', '', 3);
INSERT INTO "videos" VALUES('ipw', 'nwe.pm', 'italian perl workshop', 'osfameron', '', 3);
INSERT INTO "videos" VALUES('pg-oodb', 'nwe.pm', 'oodb in postgres', 'matt s trout', '', 3);
INSERT INTO "videos" VALUES('why-perl-5', 'nwe.pm', 'why use perl 5', 'matt s trout', '', 3);
INSERT INTO "videos" VALUES('perl-fun', 'opw2010', 'Perl can be FUN(ctional)', 'Marty Pauley', '', 4);
INSERT INTO "videos" VALUES('troll-god-mountain', 'opw2010', 'The Troll, the God, and the Mountain', 'Matt S Trout', '', 4);
INSERT INTO "videos" VALUES('roles-in-php', 'opw2010', 'Roles in PHP?', 'Lucas Oman', '', 4);
INSERT INTO "videos" VALUES('awful-things', 'opw2010', 'The awful things we all must do and the most disgusting world you''ll hear', 'Mark Keating', '', 4);
INSERT INTO "videos" VALUES('debianize', 'opw2010', 'How to Debianize a CPAN Dist', 'Dylan Hardison', '', 4);
INSERT INTO "videos" VALUES('zero-to-cpan', 'opw2010', 'From Zero to CPAN', 'Cory Watson', '', 4);
INSERT INTO "videos" VALUES('zen-maintenance', 'opw2010', 'Zen - The Art of Application Maintenance (with Catalyst)', 'Jay Shirley', '', 4);
INSERT INTO "videos" VALUES('what-is-wrong-with-junit', 'lpw2009', 'What is Wrong with Junit?', 'Nathan Lewis', '', 9);
INSERT INTO "videos" VALUES('scaling-application-servers-for-efficiency', 'lpw2009', 'Scaling application servers for efficiency', 'Tomas Doran', '', 9);
INSERT INTO "videos" VALUES('the-ins-and-outs-of-music-site-apis', 'lpw2009', 'The ins and outs of music site API''s', 'David Hodgkinson', '', 9);
INSERT INTO "videos" VALUES('using-cpans-toolchain-to-manage-your-code', 'lpw2009', 'Using CPAN''s Toolchain to Manage Your Code‎ ', 'Tom Hukins', '', 9);
INSERT INTO "videos" VALUES('psgi/plack:-perl-wsgi', 'lpw2009', 'PSGI/Plack: Perl WSGI', 'Tatsuhiko Miyagawa', '', 9);
INSERT INTO "videos" VALUES('rough-guide-to-cpan-testing', 'lpw2009', 'Rough Guide to CPAN Testing', 'BinGOs', '', 9);
INSERT INTO "videos" VALUES('reusing-your-tests-with-test::sweet', 'lpw2009', 'Reusing your tests with Test::Sweet', 'Jonathan Rockway', '', 9);
INSERT INTO "videos" VALUES('test::regexp', 'lpw2009', 'Test::Regexp', 'Abigail', '', 9);
INSERT INTO "videos" VALUES('you-are-good-enough!', 'lpw2009', 'You ARE good enough!', 'Ian Norton', '', 9);
INSERT INTO "videos" VALUES('on-framing', 'yn2010', 'On Framing', 'Chris Hardie', '', 10);
INSERT INTO "videos" VALUES('the-peggle-experiment', 'yn2010', 'The Peggle Experiment', 'Bruce Gray', '', 10);
INSERT INTO "videos" VALUES('modern-perl', 'yn2010', 'Modern Perl', 'Stevan Little', '', 10);
INSERT INTO "videos" VALUES('unknown', 'yn2010', 'Introduction to Moose', 'Stevan Little', '', 10);
INSERT INTO "videos" VALUES('deployment-handler', 'yn2010', 'Deployment Handler', 'Frew Schmidt', '', 10);
INSERT INTO "videos" VALUES('catalyst-in-the-wild', 'yn2010', 'Catalyst In The Wild', 'Jay Hannah', '', 10);
INSERT INTO "videos" VALUES('perl-psychology', 'yn2010', 'Perl Psychology', 'MatsStafseng Einarsen', '', 10);
INSERT INTO "videos" VALUES('intro-to-catalyst', 'yn2010', 'Intro To Catalyst', 'Chris Prather', '', 10);
INSERT INTO "videos" VALUES('tpf-events-group', 'yn2010', 'TPF Events Group', 'Gabor Szabo', '', 10);
INSERT INTO "videos" VALUES('musical-intervals-and-chords', 'yn2010', 'Musical Intervals and Chords', 'Gene Boggs', '', 10);
INSERT INTO "videos" VALUES('icpan', 'yn2010', 'iCPAN', 'MarkJubenville OlafAlders', '', 10);
INSERT INTO "videos" VALUES('intro-to-dbixclass', 'yn2010', 'Intro To DBIXClass', 'Frew Schmidt', '', 10);
INSERT INTO "videos" VALUES('rakudo-start', 'yn2010', 'Rakudo Start', 'Patrick Michaud', '', 10);
INSERT INTO "videos" VALUES('not-quite-perl', 'yn2010', 'Not Quite Perl', 'Patrick Michaud', '', 10);
INSERT INTO "videos" VALUES('learned-from-users', 'ye2010', 'Things I learned from users', 'Dave Cross', '', 11);
INSERT INTO "videos" VALUES('command-line-perl-for-dbas', 'ye2010', 'Shooting from the hip: Perl at the command line for DBAs', 'Giuseppe Maxia', '', 12);
INSERT INTO "videos" VALUES('perl-community', 'ye2010', 'The Perl community', 'Dave Cross', '', 12);
INSERT INTO "videos" VALUES('fey-and-fey-orm', 'ye2010', 'Fey and Fey ORM', 'Dave Rolsky', '', 13);
INSERT INTO "videos" VALUES('couchdb-intro', 'ye2010', 'Introduction to CouchDB', 'Jon Allen', '', 13);
INSERT INTO "videos" VALUES('kaizendo', 'ye2010', 'Kaizendo Individually customizable textbooks', 'Salve J Nilsen', '', 13);
INSERT INTO "videos" VALUES('code-correctness', 'ye2010', 'Does your code work correctly', 'Peter Makholm', '', 13);
INSERT INTO "videos" VALUES('textual-document-rewriting', 'ye2010', 'Textual Document Rewriting or when substitutions are not enough', 'Alberto Simoes', '', 13);
INSERT INTO "videos" VALUES('perl-and-latex', 'ye2010', 'Perl and Latex', 'Karl Moens', '', 13);
INSERT INTO "videos" VALUES('dist-zilla', 'ye2010', 'Dist Zilla Maximum Overkill for CPAN Distribution', 'Florian Ragwitz', '', 13);
INSERT INTO "videos" VALUES('cpanplus-beyond-the-shell', 'ye2010', 'CPANPLUS Beyond the shell', 'BinGOs', '', 13);
INSERT INTO "videos" VALUES('android-perl', 'ye2010', 'When Perl Met Android', 'Sawyer X', '', 13);
INSERT INTO "videos" VALUES('graphic-visualization', 'ye2010', 'Graphic visualization there is a life after GD and GD Graph', 'Uwe Voelker', '', 13);
INSERT INTO "videos" VALUES('joy-of-moosex', 'ye2010', 'The Joy of MooseX', 'Sam Vilain', '', 13);
INSERT INTO "videos" VALUES('exploring-dynamism', 'ye2010', 'Exploring Dynamism', 'Allison Randal', '', 13);
INSERT INTO "videos" VALUES('xml-twig', 'ye2010', '10 XML Twig Methods you might not know about', 'mirod', '', 13);
INSERT INTO "videos" VALUES('enterprise-directories', 'ye2010', 'Enteprise Directories Data synchronization and Perl', 'Roman Baumer', '', 13);
INSERT INTO "videos" VALUES('git-101-tutorial-1', 'ye2010', 'Git 101 Tutorial 1', 'Scott Chacon', '', 13);
INSERT INTO "videos" VALUES('dbix-class-intro', 'ye2010', 'dbix-class-intro', 'Leo Lapworth', '', 13);
INSERT INTO "videos" VALUES('elastic-search', 'ye2010', 'ElasticSearch you know for search', 'Clinton Gormley', '', 13);
INSERT INTO "videos" VALUES('www-mech-firefox', 'ye2010', 'Webautomation with WWW Mechanize Firefox', 'Max Maischein', '', 13);
INSERT INTO "videos" VALUES('optimization-primer', 'ye2010', 'An optimization primer DBIx Perlish', 'Anton Berezin', '', 13);
INSERT INTO "videos" VALUES('large-platform-architecture', 'ye2010', 'Large platform architecture in mostly perl', 'Tomas Doran', '', 13);
INSERT INTO "videos" VALUES('cpants-plusplus', 'ye2010', 'CPANTS++', 'daxim', '', 13);
INSERT INTO "videos" VALUES('going-postal', 'ye2010', 'Going postal', 'Chisel Wright', '', 13);
INSERT INTO "videos" VALUES('migration-strategies', 'ye2010', 'Migration Strategies', 'Allison Randal', '', 13);
INSERT INTO "videos" VALUES('text-in-search', 'ye2010', 'Using text in search requests', 'Andrew Shitov', '', 13);
INSERT INTO "videos" VALUES('workflow', 'ye2010', 'Workflow', 'jonasbn', '', 13);
INSERT INTO "videos" VALUES('crypt-fna-and-mysql', 'ye2010', 'Crypt FNA and MySQL', 'Mario Rossano', '', 13);
INSERT INTO "videos" VALUES('object-model-tikz', 'ye2010', 'The making of an object model for Tikz', 'Vincent Pit', '', 13);
INSERT INTO "videos" VALUES('git-101-tutorial-2', 'ye2010', 'Git 101 Tutorial 2', 'Scott Chacon', '', 13);
INSERT INTO "videos" VALUES('not-quite-perl', 'ye2010', 'Not Quite Perl', 'Patrick Michaud', '', 13);
INSERT INTO "videos" VALUES('perl-6-prince-of-parsea', 'ye2010', 'Perl 6 Prince of Parsea', 'Carl Masak', '', 14);
INSERT INTO "videos" VALUES('kephra', 'ye2010', 'What is Kephra about', 'Herbert Breunung', '', 14);
INSERT INTO "videos" VALUES('learning-from-rebol', 'ye2010', 'What we can learn from Rebol', 'Herbert Breunung', '', 14);
INSERT INTO "videos" VALUES('perl-6-signatures-the-full-story', 'ye2010', 'Perl 6 Signatures The Full Story', 'Jonathan Worthington', '', 14);
INSERT INTO "videos" VALUES('parse-recdescent', 'ye2010', 'Parse RecDescent by examples', 'Francesco Rivetti', '', 16);
INSERT INTO "videos" VALUES('padre-ide', 'ye2010', 'Padre the Perl IDE', 'Gabor Szabo', '', 16);
INSERT INTO "videos" VALUES('nagios-plugins', 'ye2010', 'Writing Nagios plugins with Perl Help', 'Jose Luis Martinez', '', 16);
INSERT INTO "videos" VALUES('eps-perl-postscript', 'ye2010', 'Getting meaningful information from EPSs with Perl and postscript', 'Job van Achterberg', '', 17);
INSERT INTO "videos" VALUES('white-camel-awards', 'ye2010', 'White Camel Awards', 'brian d foy', '', 17);
INSERT INTO "videos" VALUES('multicore-for-mortals', 'ye2010', 'Perl on Speed Multicore Programming for Mortals', 'Aaron Crane', '', 17);
INSERT INTO "videos" VALUES('cider-project', 'ye2010', 'The Cider project', 'Stefan Seifert', '', 17);
INSERT INTO "videos" VALUES('exists-or', 'ye2010', 'Introducing the exists or operator', 'Dagfinn Ilmari Mannsaker', '', 17);
INSERT INTO "videos" VALUES('qvd-virtual-desktop-infrastructure', 'ye2010', 'QVD a virtual desktop infrastructure solution written in perl', 'Salvador Fandino', '', 17);
INSERT INTO "videos" VALUES('5-stack-based-array-language', 'ye2010', '5 a stack based array language implemented in perl', 'Bernd Ulmann', '', 17);
INSERT INTO "videos" VALUES('yef-report', 'ye2010', 'YEF Report and Cheque Presentation', 'Nicholas Clark', '', 17);
INSERT INTO "videos" VALUES('gsoc-ctypes', 'ye2010', 'GSoC status for CTypes', 'Reini Urban', '', 17);
INSERT INTO "videos" VALUES('gitalist', 'ye2010', 'Gitalist', 'Leo Lapworth', '', 17);
INSERT INTO "videos" VALUES('conference-opening', 'ye2010', 'Conference Opening', 'YAPC Europe 2010', '', 17);
INSERT INTO "videos" VALUES('perl-staff', 'ye2010', 'About Perl Staff going at non perl event', 'Gabor Szabo', '', 17);
INSERT INTO "videos" VALUES('re-engine-re2', 'ye2010', 're engine RE2', 'David Leadbeater', '', 17);
INSERT INTO "videos" VALUES('new-in-perl-5-12', 'ye2010', 'What s new in perl 5 12', 'Leon Brocard', '', 17);
INSERT INTO "videos" VALUES('enterprise-perl-the-revenge', 'ye2010', 'Enterprise Perl the revenge', 'Sebastien Aperghis Tramoni', '', 17);
INSERT INTO "videos" VALUES('perl-vogue', 'ye2010', 'Perl Vogue', 'Dave Cross', '', 17);
INSERT INTO "videos" VALUES('there-s-more-than-one-way-to-empty-it', 'ye2010', 'There s more than one way to empty it', 'Andrew Shitov', '', 17);
INSERT INTO "videos" VALUES('golf-in-the-next-dimension', 'ye2010', 'golf in the next dimension', 'Zefram Perl', '', 17);
INSERT INTO "videos" VALUES('perl-in-the-real-world', 'ye2010', 'Perl in the real world', 'Jon Allen', '', 17);
INSERT INTO "videos" VALUES('the-data-is-crap', 'ye2010', 'The data is crap', 'mirod', '', 17);
INSERT INTO "videos" VALUES('lightning-talks-introduction', 'ye2010', 'Lightning Talks introduction', 'RGeoffrey', '', 17);
INSERT INTO "videos" VALUES('an-alternative-to-xs', 'ye2010', 'An alternative to XS', 'Leon Timmermans', '', 17);
INSERT INTO "videos" VALUES('rocky-horror-picture-show', 'ye2010', 'Rocky Horror Picture Show', 'The Organizers', '', 17);
INSERT INTO "videos" VALUES('a-brief-history-of-the-pumpkin', 'ye2010', 'A brief history of the Pumpkin', 'Sam Vilain', '', 17);
INSERT INTO "videos" VALUES('cpanidx', 'ye2010', 'CPANIDX', 'BinGOs', '', 17);
INSERT INTO "videos" VALUES('english-italian-sardinian-and-perl', 'ye2010', 'How to mix English Italian Sardinian and Perl at the shell command line', 'Giuseppe Maxia', '', 17);
INSERT INTO "videos" VALUES('time-travel-dynamic-languages', 'ye2010', 'On the most excellent theory of time travel poetic revolutions and dynamic languages', 'osfameron', '', 17);
INSERT INTO "videos" VALUES('italian-rant', 'ye2010', 'Italian rant', 'John Scoles feat osfameron', '', 17);
COMMIT;
